> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Batch Refunds ( STABLE )

> This API retrieves a list of all batch refunds. The response provides details for each batch refund, including the total amount and relevant timestamps. Pagination options are available to efficiently manage large datasets.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/batch-refunds
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/batch-refunds:
    get:
      tags:
        - Refunds
        - Stable
      summary: Get All Batch Refunds ( STABLE )
      description: >-
        This API retrieves a list of all batch refunds. The response provides
        details for each batch refund, including the total amount and relevant
        timestamps. Pagination options are available to efficiently manage large
        datasets.
      operationId: 83fd1801d91a8efd53e356094515a475
      parameters:
        - name: start_date
          in: query
          description: >-
            This parameter will filter the user's records based on the creation
            date of the batch refund.Date format: Y-m-d
          required: false
          schema:
            type: string
            format: date
            example: '2024-03-01'
        - name: end_date
          in: query
          description: >-
            This parameter will filter the user's records based on the creation
            date of the batch refund.Date format: Y-m-d
          required: false
          schema:
            type: string
            format: date
            example: '2024-03-10'
        - name: sort_order
          in: query
          description: 'Sorting order: ''oldest'' for ascending, ''newest'' for descending.'
          required: false
          schema:
            type: string
            enum:
              - oldest
              - newest
            example: newest
        - name: page
          in: query
          description: Page number for pagination.
          required: false
          schema:
            type: integer
            example: 1
        - name: per_page
          in: query
          description: Number of items per page.
          required: false
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: Batch refunds retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchRefundListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
      security:
        - ApiToken: []
components:
  schemas:
    BatchRefundListResponse:
      properties:
        status:
          type: boolean
          example: true
        message:
          type: string
          example: ''
        data:
          properties:
            batch_refunds:
              type: array
              items:
                properties:
                  batch_refund_uuid:
                    type: string
                    format: uuid
                    example: 9bd53fe1-ac74-4e81-b6f2-be88b7c86a68
                  amount:
                    type: integer
                    example: 10000
                  date:
                    type: string
                    format: datetime
                    example: '2024-04-18 01:00:20'
                type: object
            pagination:
              properties:
                current_page:
                  type: integer
                  example: 1
                total_pages:
                  type: integer
                  example: 3
                total_items:
                  type: integer
                  example: 30
                per_page:
                  type: integer
                  example: 10
              type: object
          type: object
        errors:
          type: string
          example: null
          nullable: true
        error_code:
          type: string
          example: null
          nullable: true
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````